<?php
require_once(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../init.php');

if(Tools::getValue('token') == Configuration::get('FFCHECKBOX_TOKEN_'.Tools::getValue('employee')) && Tools::getValue('id_order') && Tools::getValue('action') == 'create_check'){
    $module = Module::getInstanceByName('ffcheckbox');
    $res = $module->createReceipt(Tools::getValue('id_order'));
    if($res){
        die(Tools::jsonEncode([
            'result' => 'ok',
            'success' => 'Чек был успешно создан, после подтверждения чека вы сможете его распечатать'
        ]));
    }else{
        die(Tools::jsonEncode([
            'result' => 'error',
            'error' => 'Не удалось создать чек'
        ]));
    }
}elseif(Tools::getValue('token') == Configuration::get('FFCHECKBOX_TOKEN_'.Tools::getValue('employee')) && Tools::getValue('id_order') && Tools::getValue('action') == 'create_label'){
    $module = Module::getInstanceByName('ffcheckbox');
    $res = $module->createLabel(Tools::getValue('id_order'));
    if(!$res){
        die(Tools::jsonEncode([
            'result' => 'error',
            'error' => 'Не удалось распечатать чек'
        ]));
    }
    $url = (Configuration::get('PS_SSL_ENABLED') ? 'https://' : 'http://') . $_SERVER['HTTP_HOST'] . __PS_BASE_URI__ ;

    die(Tools::jsonEncode([
        'result' => 'ok',
        'file_path' => $url.'modules/ffcheckbox/files/'.$res.'.pdf'
    ]));
}

die(Tools::jsonEncode([
    'result' => 'error',
    'error' => 'Не удалось создать чек'
]));