<div class="panel">
    <div class="panel-heading">
        <i class="icon-time"></i>
        {l s='Checbox' mod='ffcheckboxpayment'}
    </div>
    <div class="table-responsive">
        {if $shift === 'waiting'}
            {l s='Ожидается подтверждение открытия смены. Пожалуйста перезагрузите страницу когда смена будет подтверждена' mod='ffcheckboxpayment'}
        {elseif $shift == false}
            {l s='Произошла ошибка при открытии смены. Попробуйте закрыть смену в настройках модуля.' mod='ffcheckboxpayment'}
        {elseif !empty($id_check)}
            <button  class="btn btn-info" id="create_label">{l s='Распечатать чек' mod='ffcheckboxpayment'}</button>
        {else}
            <button  class="btn btn-info" id="create_check">{l s='Создать чек' mod='ffcheckboxpayment'}</button>
        {/if}
    </div>
</div>
<script>
    printPdf = function (url) {
        var iframe = this._printIframe;
        if (!this._printIframe) {
            iframe = this._printIframe = document.createElement('iframe');
            document.body.appendChild(iframe);

            iframe.style.display = 'none';
            iframe.onload = function() {
                setTimeout(function() {
                    iframe.focus();
                    iframe.contentWindow.print();
                }, 1);
            };
        }

        iframe.src = url;
    };
    $(document).on('click','#create_check',function (e) {
        e.preventDefault();
        var data = {
            id_order:{$id_order},
            token: '{$token}',
            employee: {$id_employee},
            action: 'create_check'
        };
        $('#create_check').attr('disabled','disabled');

        $.ajax({
            url:"{$module_dir}ajax.php",
            data:data,
            dataType: 'json',
            method:'POST',
            success: function (data) {
                if(data.result == 'ok'){
                    alert(data.success);
                    location.reload();
                }else{
                    alert(data.error);
                }
            }
        })
    });

    $(document).on('click','#create_label',function (e) {
        e.preventDefault();
        var data = {
            id_order:{$id_order},
            token: '{$token}',
            employee: {$id_employee},
            action: 'create_label'
        };
        // $('#create_label').attr('disabled','disabled');

        $.ajax({
            url:"{$module_dir}ajax.php",
            data:data,
            dataType: 'json',
            method:'POST',
            success: function (data) {
                if(data.result == 'ok'){
                    printPdf(data.file_path);
                }else{
                    alert(data.error);
                }
            }
        })
    });
</script>